1. Introduction
La spécification d'encodage de pile d'étiquettes MPLS [RFC3032] a défini quatre valeurs d'étiquette à usage spécial (0 à 3) et a réservé les valeurs 4 à 15 pour un usage futur. Ces étiquettes ont une signification particulière à la fois dans le plan de contrôle et dans le plan de données. Depuis, trois valeurs supplémentaires ont été allouées (les valeurs 7, 13 et 14 dans [RFC6790], [RFC5586] et [RFC3429], respectivement), ce qui laisse neuf valeurs non attribuées sur l'espace initial de seize.
Si l'allocation de trois des douze valeurs d'étiquette à usage spécial restantes en une douzaine d'années n'est pas en soi préoccupante, la rareté des étiquettes à usage spécial l'est. En outre, nombre de ces étiquettes exigent un traitement particulier de la part du matériel d'acheminement, dont la modification est souvent coûteuse et parfois impossible. Il est donc important de documenter toute nouvelle valeur d'étiquette à usage spécial allouée.
Ce mémo expose certains des problèmes liés à l'allocation et au retrait des valeurs d'étiquette à usage spécial et définit des mécanismes pour y répondre. Ce mémo étend également l'espace des étiquettes à usage spécial.
1.1. Conventions utilisées dans ce document
Les mots clés « MUST », « MUST NOT », « REQUIRED », « SHALL », « SHALL NOT », « SHOULD », « SHOULD NOT », « RECOMMENDED », « MAY » et « OPTIONAL » de ce document doivent être interprétés comme décrit dans [RFC2119].
Deux nouveaux acronymes sont introduits :
- XL (Extension Label): étiquette indiquant qu'une étiquette à usage spécial étendue suit.
- ESPL (Extended Special-Purpose Label): étiquette à usage spécial placée dans la pile d'étiquettes après l'Extension Label. La combinaison de XL et d'ESPL peut être considérée comme une nouvelle forme d'« étiquette composée » comprenant plusieurs entrées consécutives de la pile d'étiquettes.